"use strict";

const path = require("path");
const bluebird_1 = require("bluebird");
const fs_extra_p_1 = require("fs-extra-p");
const rcedit = bluebird_1.Promise.promisify(require("rcedit"));
function createApp(opts, appOutDir, initializeApp) {
    const newExePath = path.join(appOutDir, `${ opts.appInfo.productFilename }.exe`);
    return bluebird_1.Promise.all([initializeApp(), fs_extra_p_1.rename(path.join(appOutDir, "electron.exe"), newExePath).then(() => {
        const appInfo = opts.appInfo;
        return rcedit(newExePath, {
            "version-string": appInfo.versionString,
            "file-version": appInfo.buildVersion,
            "product-version": appInfo.version,
            icon: opts.icon
        });
    })]);
}
exports.createApp = createApp;
//# sourceMappingURL=win32.js.map